package configloader

type MDWebDavUploaderConfig struct {
    InstanceLink    string `json:"instance"`
    Mail            string `json:"mail"`
    WebDavAuthToken string `json:"token"`
    InstitutionId   int    `json:"institution_id"`
    Parser          string `json:"parser"`
    MetadataFolder  string `json:"metadata_folder"`
    MediaFolder     string `json:"media_folder"`
    PublishOnImport bool   `json:"visible"`
}

// Returns a uniform filepath for the configuration of this tool.
// To be compatible across operating systems, this will be a JSON
// file in the same directory as the current programm.
func getConfigFilepath() string {

}

// Loads configuration from the configuration file (located using
// getConfigFilepath()).
func LoadFromFile() MDWebDavUploaderConfig {

}
